SuperTuxKart

Ok, time for a quick break.  I saw SuperTuxKart had a new version, and I wanted to try it out a long time ago.   I never could get it to compile — there was a dependency that I only saw in Windows.  When I got the SourceForge newsletter recently, it reminded me to check again.  They have a Mac version for download, so maybe it will work.

Packages I installed for dependencies:

configure: error: cannot find useable OpenAL installation. You need to install OpenAL.

libopenal-dev

checking for library containing ov_open… noconfigure: error: cannot find useable Ogg Vorbis installation. You need to install libogg and libvorbis.

libogg-dev, libvorbis-dev

configure: error: Can’t find irrlicht installation in standard prefixes, use –with-irrlicht…

libirrlicht-dev, libirrlicht1.7

Finally, all the packages are installed.  Now, “./configure”. Next, run “make”.

Now, it tested fine with “./src/supertuxkart”.

Since, it worked, I did “sudo make install” to install it.

One thought on “SuperTuxKart

Leave a Comment

Your email address will not be published.